<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-forms](./foundation-forms.md) &gt; [UiSchemaElementOptions](./foundation-forms.uischemaelementoptions.md)

## UiSchemaElementOptions type

**Signature:**

```typescript
export type UiSchemaElementOptions = {
    allOptionsResourceName?: string;
    valueField?: string;
    labelField?: string;
    textarea?: boolean;
    data?: any[];
    i18n?: {
        [key: string]: any;
    };
};
```
